Reservation line mappings
/reservations/line-mappings/{type}
Update reservation line mapping
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Path Parameters
type*string
Request Body
application/json
description?string|null
accountId?string|null
revenueRecognition?string|null
channelMappings?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.vrplatform.app/reservations/line-mappings/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"status": "mapped",
"revenueRecognition": "checkIn",
"type": "string",
"description": "string",
"source": "manual",
"channelMappings": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"status": "mapped",
"revenueRecognition": "checkIn",
"bookingChannel": "string"
}
],
"updates": {
"count": 0,
"confirmationCodes": [
"string"
]
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}